Subject: Re: [PATCH 0/5] small doc make and lint fixes

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 26 Mar 2021 16:18:50 +0100

On Fri, Mar 26 2021, Jeff King wrote:

> On Fri, Mar 26, 2021 at 11:36:45AM +0100, Ævar Arnfjörð Bjarmason wrote:
>
>> A small stand-alone series of doc infrastructure fixes. 5/6 fixes an
>> interesting bug that's been missed since doc-diff was introduced.
>
> I'm not sure what you mean about doc-diff here. Patch 5 (of 5?) doesn't
> seem related. Patch 4 is related only tangentially, in that you might
> have more stuff in your Documentation directory.

That's how it's related, the lint script recursively looks for all *.txt
under Documentation/, before doc-diff we could safely assume this was
*.txt at that version of the repository, after doc-diff our recursively
search leads us to a different checkout at a different revision.

I don't think it had any practical effect, just say'n.

> That said...
>
>>   Documentation/Makefile: make $(wildcard howto/*.txt) a var
>>   Documentation/Makefile: make $(wildcard <doc deps>) a var
>>   doc lint: Perl "strict" and "warnings" in lint-gitlink.perl
>
> These three look obviously correct.
>
>>   doc lint: fix bugs in, simplify and improve lint script
>>   doc lint: lint and fix missing "GIT" end sections
>
> These two seem fine, though I left some comments for possible
> improvements.
>
> -Peff